Summary: GNU cpio, a program to manage archives of files
Name: cpio
Version: 2.4.2
Release: 1
Copyright: GPL
Group: Utilities/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/cpio-2.4.2.tar.gz
Patch: cpio-%{PACKAGE_VERSION}.glibc.patch
BuildRoot: /tmp/cpio-%{PACKAGE_VERSION}-root
Provides: cpio

%description
This is GNU cpio, a program to manage archives of files.
As of version 2.0, it supports the features of the System V release 4
cpio, including support for tar archives.

This package also includes rmt, the remote tape server, and mt, a tape
drive control program; these two programs will only be compiled if
your system supports remote command execution, and tape drive control
operations, respectively.

%prep
%setup

%patch -p1

CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDLFAGS=-s configure --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

strip $RPM_BUILD_ROOT/usr/bin/cpio 
if [ -f $RPM_BUILD_ROOT/usr/bin/mt ]; then
   strip $RPM_BUILD_ROOT/usr/bin/mt
else
   cat <<EOF > $RPM_BUILD_ROOT/usr/bin/mt
#! /bin/sh
echo
echo "mt from cpio %{PACKAGE_VERSION} cannot be used on this system."
echo "The same applies to /usr/libexec/rmt"
echo "For more details see documentation in /usr/doc/cpio-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}"
echo "  as well as in cpio.info and cpio(1), mt(1)"
echo
EOF
   chmod 755 $RPM_BUILD_ROOT/usr/bin/mt
fi

if [ -f $RPM_BUILD_ROOT/usr/libexec/rmt ]; then
   strip $RPM_BUILD_ROOT/usr/libexec/rmt
else
   mkdir $RPM_BUILD_ROOT/usr/libexec
   chmod 755 $RPM_BUILD_ROOT/usr/libexec
   cat <<EOF > $RPM_BUILD_ROOT/usr/libexec/rmt
#! /bin/sh
echo
echo "rmt from cpio %{PACKAGE_VERSION} cannot be used on this system."
echo "The same applies to /usr/bin/mt
echo "For more details see documentation in /usr/doc/cpio-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}"
echo "  as well as in cpio.info and cpio(1), mt(1)"
echo
EOF
   chmod 755 $RPM_BUILD_ROOT/usr/libexec/rmt
fi

gzip -9nf $RPM_BUILD_ROOT/usr/man/man1/*.1

%post
if (which install-info > /dev/null); then
  install-info --info-dir=/usr/info /usr/info/cpio.info
fi
gzip -9nf /usr/info/cpio.info

# Some distributions put it right there and some programs look for it just
# there.  Let's help them stay at their senses ;-))
if [ -f /bin/cpio ]; then
  mv /bin/cpio /bin/cpio.rpmorig
  echo "NOTE => /bin/cpio renamed to /bin/cpio.rpmorig"
  ln -sf /usr/bin/cpio /bin/cpio
fi

# There, we're done!
echo "cpio %{PACKAGE_VERSION} installation is complete."

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc README* NEWS ChangeLog
/usr/bin/cpio
/usr/bin/mt
/usr/info/cpio.info
/usr/libexec/rmt
/usr/man/man1/cpio.1.gz
/usr/man/man1/mt.1.gz